<?php
if (!defined('TOBBIVM')) header('location:/admin/template/notepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for Config->Pricelist->table
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<h2>{page_title}</h2>
{Form_Start}
<table id="rounded-corner-pricelist" summary="{summary}">
	<!-- column-with  max table width: 625px-->
	<colgroup>
		<col width="25">
		<col width="40">
		<col width="780"> <!--40-->
	</colgroup>

	<thead>
		<tr>
			<th scope="col" class="rounded-company"></th>
			<th scope="col" class="rounded">{price_id}</th>
			<th scope="col" class="rounded-q4">{price_name}</th>
		</tr>
	</thead>

	<tbody>
		<!-- BEGIN data -->
		<tr>
			<td>{price_setx}</td>
			<td>{price_idx}</td>
			<td><div align="left">{price_namex}</div></td>
		</tr>
		<!-- END data -->
	</tbody>

	<tfoot>
		<tr>
			<td colspan="3" class="rounded-foot-left">

				<div class="pagination">
					<a href="{urlPageFirst}">{txtPageFirst}</a>
					<a href="{urlPagePrev}">{txtPagePrev}</a>

					<!-- BEGIN urlPageP -->
					<a href="{url}">{text}</a>
					<!-- END urlPageP -->

					<span class="current">{nrPageC}</span>

					<!-- BEGIN PageN -->
					<a href="{url}">{text}</a>
					<!-- END PageN -->

					<a href="{urlPageNext}">{txtPageNext}</a>
					<a href="{urlPageLast}">{txtPageLast}</a>
				</div>				
			</td>
		</tr>
	</tfoot>
</table>

<dl class="submit">
	{btn_Delete}
	{btn_New}
</dl>

<dl>
	{tableHelp}
</dl>
{Form_End}