<?php
if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for Page->Revocation
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<h2>{name}</h2>

<div class="form">
	<form action="{action}" method="post" class="niceform fieldset">
		<fieldset>
			<dl>
				<dt><label for="headerx">{pagetitel}</label></dt>
				<dd>
					<input type="text" name="headerx" id="headerx" size="30" value="{headerx}" />
					{headerxHelp}
				</dd>
			</dl>
			<dl>
				<dt><label for="orderx">{order}</label></dt>
				<dd>
					<input type="text" name="orderx" id="orderx" size="30" value="{orderx}" />
					{orderxHelp}
				</dd>
			</dl>
			<dl>
				<dt><label for="activx">{active}</label></dt>
				<dd>
					<input type="checkbox" name="activex" id="activex" value="activex" {isActive}/>
				</dd>
			</dl>
			<dl>
				<dt></dt>
				<dd>
					<textarea style="visibility: hidden; display: none;" class="ckeditor" name="textx" id="textx" rows="25" cols="56">{textx}</textarea><br>
					<script type="text/javascript" src="{tpl_js}ckeditor.pages.js"></script>
				</dd>
			</dl>
			<dl>
				<dt></dt>
				<dd>
					{lastchange}</br>
				</dd>
			</dl>

			<dl class="submit">
				<input type="submit" name="submit" id="save" value="{save}" />
				<input type="reset" value="{abort}">
			</dl>

		</fieldset>

	</form>
</div>