<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Datei: seo.class.php
 *
 * Class with all methodes for seo-optimizing
 *
 * @author Norbert Gebert
 * @copyright Norbert Gebert 2018
 * @license GPL3
 *
 * @version 0.1
 * @package Admin
 * @subpackage global
 */
class seo
{
   protected static $valueX = [' ',
       'ä',
       'ö',
       'ü',
       'Ä',
       'Ö',
       'Ü',
       ',',
       ';'];
   protected static $valueN = ['-',
       'ae',
       'oe',
       'ue',
       'Ae',
       'Oe',
       'Ue',
       '',
       ''];
   
   public function __construct() {
      
   }

   /**
    * Optimise strings for url
    */
   public static function getSeoString($text) {
      $text = urldecode ($text);
      $text = str_replace('&emsp;', '', $text);
      $text = trim($text);
      
      $text = str_replace( self::$valueX, self::$valueN, $text);
      return $text;
   }
}
