<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * create parts of the pagecategory menu
 * used from core.php
 * use pagecategory.menu.tpl.php
 *
 * @version    $Id: pagecategory.menu.php 43 2018-09-18 10:22:39Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
function pageCategoryMenu($refPage, $page, $title, $refValidate)
{
	$refPage->assign('pageList', _('Pagelist'));
//echo 'xxxxxxxxxxxx';exit;
	db::getInstance()->orderBy('pagecategory_order', 'ASC');
	db::getInstance()->where('pagecategory_active' . SUFFIX, '1');
	db::getInstance()->where('pagecategory_top', 0);
	$cols = Array('pagecategory_id', 'pagecategory_name', 'pagecategory_order', 'pagecategory_top');
	$result = db::getInstance()->get("pagecategory", null, $cols);

	$buffer = array();
	$buffer = sortPageCategorys($result, true);
	$categoryList = array();

	$linkCat = str_replace("%20", " ", $refValidate->cleanslash($_GET['name']));
	$dataId = array('pages_category');
	db::getInstance()->where('pages_name', $linkCat);
	db::getInstance()->where('pages_active' . SUFFIX, 1);
	db::getInstance()->where('pages_id', $refValidate->cleanslash($_GET['xtitle']));
	$resultId = db::getInstance()->getone('pages', null, $dataId);
	$_SESSION['categoryMenux'] = $resultId['pages_category'];
   if (!isset($_SESSION['pageCategoryMenux']))
      $_SESSION['pageCategoryMenux'] = '';

	foreach ($buffer as $entry)
	{
		if ($page == 'pages' and $entry['pagecategory_id'] == $_SESSION['pageCategoryMenux'])
		{
			$classname = 'mainlevel-active';
		}
		elseif ($page == 'pagecategory' and $title == $entry['pagecategory_id'])
		{
			$classname = 'mainlevel-active';
			$_SESSION['pageCategoryMenux'] = $entry['pagecategory_id'];
		}
		else
		{
			$classname = 'mainlevel';
		}
		$pagecategoryList[] = array(
          'pagecategoryTitle' => $entry['pagecategory_name'],
          'pagecategoryClass' => $classname,
          'pagecategoryHref' => '/index.php?page=pagecategory&amp;xtitle=' . 
          $entry['pagecategory_id'] . '&amp;name=' . 
          seo::getSeoString($entry['pagecategory_name']),
          'pagecategoryName' => $entry['pagecategory_name']);
	}

	$refPage->assign('pagecategoryMenu', $pagecategoryList);
}
