<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * payment: cash in advance
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2016
 * @author     Norbert Gebert
 * @license    GPL3
 */

/**
 * Returns price if availiable
 */
function cashinadvance()
{
	$_SESSION['payedx'] = TRUE;
	header('location: ' . URL . '?page=cart&xtitle=save&name=Warenkorb&cart=save');
	exit;
}

/**
 * Returns comment of this payment, this comment are saved
 * in the payment-table
 */
function cashinadvance_comment($paymentId)
{
	db::getInstance()->where('payment_id', $paymentId);
	$comment = db::getInstance()->getOne('payment');

	$buffer1 = explode('{', $comment['payment_table']);

	if (count($buffer1) <= 1) return $comment['payment_table'];

	$text1 = $buffer1[0];
	$buffer2 = explode('}', $buffer1[1]);
	$text3 = $buffer2[1];

	if (count($buffer2) <= 1) return $comment['payment_table'];

	$buffer1 = explode('|', $buffer2[0]);

	foreach ($buffer1 as $zeile)
	{
		$buffer2 = explode('::', $zeile);
		if ($buffer2[0] == SUFFIX)
		{
			$text2 = $buffer2[1];
			break;
		}
	}

	return $text1 . $text2 . $text3;
}
