<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * get filename  to create payment entry
 * used from payment.page.php
 * get: payment.new.tpl.php
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012-2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
$refPage->assign('page_title', _('Install new payment'));

$refPage->assign('name', _('Payment-name'));
$refPage->assign('namex',
		  '<input type="text" name="namex" id="activex" size="35" value="' . _('Payment name') . '">');
$refPage->assign('namexHelp', help('paymentname', $page));

$refPage->assign('filename', _('Payment-name'));
$refPage->assign('filenamex',
		  '<input type="text" name="filenamex" id="activex" size="25"value="' . _('Filename') . '">');
$refPage->assign('filexHelp', help('paymentfile', $page));

$refPage->assign('Form_Start',
		  '<form class="niceform fieldset" action="' .
		  'index2.php?page=' . $page . '&sub=payment' . '" method="post"><fieldset>');
$refPage->assign('Form_End', '</fieldset></form>');

$refPage->assign('btn_save',
		  '<input type="submit" name="submit" id="New entry" value="' .
		  _('Save new entry') . '" />');
$refPage->assign('btn_abort',
		  '<input type="submit" name="submit" id="abort" value="' .
		  _('Cancel') . '" />');

$refPage->addtpl('content', '/' . $page . '/' . $subpage . '.new.tpl.php');
