<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Verify and save data from tax-editorpage
 *
 * @author Norbert Gebert
 * @copyright Norbert Gebert 25.09.2011
 * @license GPL3
 *
 * @version 0.5b
 * @package Admin
 * @subpackage page
 */
$idx = $refValidate->testNumber($_POST['idx'], '');
$namex = $refValidate->cleanslash($_POST['namex'], '');
$valuex = $refValidate->cleanslash($_POST['valuex'], '');

if (!$idx or !$namex or !$valuex)
{
	message::setErrorRow(_('Submitted Data are wrong format or invalid.') . '<br>' .
		_('No data could be saved!'), TRUE);
}
else
{
	db::getInstance()->where('tax_id', $idx);
	$result = db::getInstance()->getOne('tax');

	if (db::getInstance()->count >= 1)
	{
		$data = Array(
		 'tax_name' => $namex,
		 'tax_value' => str_replace(',', '.', $valuex));
		db::getInstance()->where('tax_id', $idx);
		db::getInstance()->update('tax', $data);

		message::setNoteRow(_('Changes could be saved.'), TRUE);
	}
	else
	{
		message::setErrorRow(_('No data could be saved!'), TRUE);
	}
}
?>