<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for System->errorlist->edit
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<h2>{pageTitle}</h2>
<div class="form">
	<form action="{action}" method="post" class="niceform fieldset">
		<fieldset>
			<dl>
				<dt>{id}</dt>
				<dd>{idx}</dd>
			</dl>

			<dl>
				<dt><label for="datex">{date}</label></dt>
				<dd>{datex}{datexHelp}</dd>
			</dl>
<br><br><br>
			<textarea style="visibility: hidden; display: none;" class="ckeditor" name="textx" id="textx" rows="25" cols="56">{textx}</textarea><br>

			<dl class="submit">
				{btnAbort}
			</dl>
		</fieldset>
	</form>
</div>
<script type="text/javascript" src="{tpl_js}ckeditor.full.js"></script>	
<script type="text/javascript">
	function validate_editor() {
		// To solve the error of using Ckeditor with jqury validation
		CKEDITOR.instances.content.updateElement();
	}
</script>