<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for User->Admin->Editor
 * used from admin.page.editor.php
 * 
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<h2>{pageTitel}</h2>

<div class="form">
	<form action="{formStart}" method="post" class="niceform" enctype="multipart/form-data">
		<fieldset>
			<dl>
				<dt><label for="idx">{id}</label></dt>
				<dd>
					<input type="text" name="idx" id="idx" disabled="disabled" 
							 size="8" value="{idx}"/>					
				</dd>
			</dl>

			<dl>
				<dt><label for="namex">{name}</label></dt>
				<dd>
					<input type="text" name="namex" id="namex" size="50" value="{namex}"/>					
				</dd>
			</dl>

			<dl>
				<dt><label for="activx">{active}</label></dt>
				<dd>
					<input type="checkbox" name="activex" id="activex" value="activex" {isActive}/>
				</dd>
			</dl>

			<dl>
				<dt><label for="levelx">{level}</label></dt>
				<dd>
					{levelx}
				</dd>
			</dl>

			<dl>
				<dt><label for="mailx">{mail}</label></dt>
				<dd>
					<input type="text" name="mailx" id="mailx" size="50" value="{mailx}"/>			
				</dd>
			</dl>

			<dl>
				<textarea style="visibility: hidden; display: none;" class="ckeditor"
							 name="textx" id="textx" rows="25" cols="56">{textx}</textarea>
			</dl>
			
			<dl>
				<dt><label for="connectionx">{connection}</label></dt>
				<dd>
					<p>{connectionx}</p>					
				</dd>
			</dl>

			<dl class="submit">
				{btnSave}
				{btnAbort}
				{btnPassword}
			</dl>
		</fieldset>
	</form>
</div>
<script type="text/javascript" src="{tpl_js}ckeditor.mini.js"></script>	
<script type="text/javascript">
function validate_editor(){
// To solve the error of using Ckeditor with jqury validation
CKEDITOR.instances.content.updateElement();
}
</script>