<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for xPlugin-editor
 * used from plugin.page.editor.php
 *
 * @version    $Id: plugin.editor.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<h2>{page_title}</h2>
<div class="form">
	{Form_Start}
	<dl>
		<dt><label for="namex">{id}</label></dt>
		<dd>
			{idx}
		</dd>
	</dl>

	<dl>
		<dt><label for="namex">{name}</label></dt>
		<dd>
			{namex}
		</dd>
	</dl>

	<dl>
		<dt><label for="typx">{typ}</label></dt>
		<dd>
			{typx}
			{typxHelp}
		</dd>
	</dl>
	
	<dl>
		<dt><label for="codex">{code}</label></dt>
		<dd>
			{codex}
			{codexHelp}
		</dd>
	</dl>

	<dl>
		<dt><label for="activex">{active}</label></dt>
		<dd>
			{activex}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			{activexHelp}
		</dd>
	</dl>

	<!-- IF configx -->
	<!-- BEGIN configx -->
	<dl>
		<dt>{label}</dt>
		<dd>
			{field}
	</dl>
	<!-- END configx -->
	<!-- ENDIF configx -->

	<dl class="submit">
		{btn_save}
		{btn_abort}
	</dl>

<!--	<dl>
		{xPluginPageHelp}
	</dl> -->
	{Form_End}
</div>
