<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for System->Error Table
 *
 * @version    $Id: error.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<h2>{page_title}</h2>
{Form_Start}
<dl>
	<table id="rounded-corner-category" summary="{summary}">
		<!-- column-with  max table width: 625px-->
		<colgroup>
			<col width="25">
			<col width="360">
			<col width="150">
			<col width="40">
		</colgroup>

		<thead>
			<tr>
				<th scope="col" class="rounded-company"></th>
				<th scope="col" class="rounded">{errorText}</th>
				<th scope="col" class="rounded">{errorDate}</th>
				<th scope="col" class="rounded-q4">{errorDone}</th>
			</tr>
		</thead>
		
		<tfoot>
			<tr>
				<td colspan="3" class="rounded-foot-left"></td>
				<td class="rounded-foot-right">&nbsp;</td>
			</tr>
		</tfoot>
		
		<tbody>
			<!-- BEGIN data -->
			<tr>
				<td>{errorSetx}</td>
				<td><div align="left">{errorTextx}</div></td>
				<td>{errorDatex}</td>
				<td>{errorDonex}</td>
			</tr>
			<!-- END data -->
		</tbody>
	</table>

	<br>
<dl class="submit">
	{btnDelete}
</dl></dl>

<dl>
	{tableHelp}
</dl>

{Form_End}