<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create category browse page
 * get: category.tpl.php
 * used from category.php
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
/**
 * Usable Elements from the array to display articles
 * {textTop}		= category description on top of side
 * {textBottom}	= category description on bottom of Side
 * {text}			= product short description
 * {link}			= link to the article-detailpage
 * {name}			= product name
 * {image}			= path to product small-image
 * {onStock}		= stock quantity
 * {sales}			= product sales
 * {price}			= price including tax
 * {productUnit}	= product-units / price
 * {tax}				= tax from price
 * {taxValue}		= tax-value in percent
 * {Currency}		= Symbol for used currency
 * {two}				= counter for 2-row-display
 * {three}			= counter for 3-row-display
 * {four}			= counter for 4-row-display
 */
?>
<div class="colPageTD2">
	<!-- INCLUDE pagecounter.tpl.php -->
	<h1>{header}</h1>
	<p>
		{textTop}
	</p>

	<!-- BEGIN articleList -->
	<!-- IF two="1" -->
	<div class="colPageTD2ab">
		<a href="{link}">
			<div class="colPageTD2a">
				<div class="imgage">
					<img class="colPageTD2img" src="{image}" />
				</div>
				{text}
				<div class="price">
					{productUnit}&nbsp;&nbsp;<span>{price}&nbsp;{Currency}</span>
				</div>
				<div class="tax">
					enthaltene Mehrwertsteuer ({taxValue}%)&nbsp;=&nbsp;{tax}&nbsp;{Currency}&nbsp;
				</div>
			</div>
		</a>
		<!-- ENDIF -->

		<!-- IF two="2" -->
		<a href="{link}">
			<div class="colPageTD2b">
				<div class="imgage">
					<img class="colPageTD2img" src="{image}" /><br>
				</div>
				{text}
				<div class="price">
					{productUnit}&nbsp;&nbsp;<span>{price}&nbsp;{Currency}</span>
				</div>
				<div class="tax">
					enthaltene Mehrwertsteuer ({taxValue}%)&nbsp;=&nbsp;{tax}&nbsp;{Currency}&nbsp;
				</div>
			</div>
		</a>
		<div class="clear"></div>
	</div>
	<!-- ENDIF -->
	<!-- END articleList -->

	<div class="clear"></div>
</div>
<p>
	{textBottom}
</p>
<!-- INCLUDE pagecounter.tpl.php -->
</div>